Package org.eclipse.gef.layout.algorithms

## Class SugiyamaLayoutAlgorithm.GreedyCrossingReducer

- java.lang.Object
- - org.eclipse.gef.layout.algorithms.SugiyamaLayoutAlgorithm.GreedyCrossingReducer

All Implemented Interfaces:
  `SugiyamaLayoutAlgorithm.CrossingReducer`

Enclosing class:
  SugiyamaLayoutAlgorithm

    public static class SugiyamaLayoutAlgorithm.GreedyCrossingReducer
    extends java.lang.Object
    implements SugiyamaLayoutAlgorithm.CrossingReducer

Implemented the CrossingReducer interface. This algorithm select neighbouring nodes and decides there order based on the number of edge crossings between them and those connected to them.

### Constructor Summary

Constructors
`GreedyCrossingReducer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `crossReduction​(java.util.List<java.util.List<SugiyamaLayoutAlgorithm.NodeWrapper>> nodes)` From the given nodes it creates a map of NodeLayouts and NodeWrappers which contains the layers and indexes of the nodes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GreedyCrossingReducer

    public GreedyCrossingReducer()

### Method Detail

#### crossReduction

    public void crossReduction​(java.util.List<java.util.List<SugiyamaLayoutAlgorithm.NodeWrapper>> nodes)

Description copied from interface: `SugiyamaLayoutAlgorithm.CrossingReducer`
From the given nodes it creates a map of NodeLayouts and NodeWrappers which contains the layers and indexes of the nodes

Specified by:
  `crossReduction` in interface `SugiyamaLayoutAlgorithm.CrossingReducer`
Parameters:
  `nodes` - List of nodes needed to be organized